WordPress.org

Ready to get started?Download WordPress

Forums

Plugin auto update? (4 posts)

  1. tcurdt
    Member
    Posted 5 years ago #

    So I am running 2.6.1 and even after searching through the documentation I have no clue how the "upgrade automatically" feature of the plugin management is supposed to work. When I click on "upgrade" I get taken to a form to put in ftp credentials.

    Why on earth would wordpress need to connect to a ftp server to get the plugins? I don't even have ftp setup on my server. Why doesn't it just download the plugins locally and then unzip them.

    What am I missing here?

    cheers
    --
    Torsten

  2. stonegauge
    Member
    Posted 5 years ago #

    Well, you can't upgrade the wordpress version unless you actually put the new version of WordPress on the server. That's where FTP comes in -- because files have to be transferred at one point or another (either you uploading the new version manually or your wordpress install accessing WordPress.org and getting the new file itself and uploading it onto your server).

    The upgrade function was developed specifically to not need to download files locally. If you want to download files locally and upload them manually -- I think you're going to have to handle that yourself.

  3. tcurdt
    Member
    Posted 5 years ago #

    So you are saying there is FTP server access to wordpress.org and that's what should go in there???

    I am talking about plugins(!) here - not wordpress itself. Those plugins are 3rd Party. They have a HTTP URL and no FTP access.

    Also I don't really understand the reasoning behind the objective of "specifically to not need to download files locally". Every HTTP upload (e.g. like the image upload) means creating files locally. Don't understand what is supposed to be the problem with that.

    At least it would be nice to have a "local folder" option instead of just the FTP transport.

  4. Roy
    Member
    Posted 5 years ago #

    There're several threads about the subject from the time 2.6 was just out. I can't get the built in updater to work either, but the One Click Plugin Updater plugin works just fine. Of course that requires one plugin uploaded 'the old way'.

Topic Closed

This topic has been closed to new replies.

About this Topic